Bug 805811 - ovirt-engine-core: Configurations validations for new images are wrong
ovirt-engine-core: Configurations validations for new images are wrong
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: ---
: 3.1
Assigned To: mkublin
: Regression, TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 04:43 EDT by Oded Ramraz
Modified: 2013-06-17 01:22 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine logs (239.92 KB, application/zip)
2012-03-22 04:46 EDT, Oded Ramraz
no flags Details

  None (edit)
Description Oded Ramraz 2012-03-22 04:43:12 EDT
Description of problem:

I'm trying to clone preallocated VM from template on NFS storage domain and succeed ( see Additional Information ). 
This operation was blocked in the past . 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

012-03-22 04:16:24,784 - MainThread - vms - DEBUG - CREATE request content is --  url:http://localhost:8080/api/vms body:<vm><name>vm_san_nfs_conv2</name><cluster id='ef6730c6-73bf-11e1-8b74-001a4a23124c'/><template id='ab95ba98-5052-42f0-8a79-0fe844ef91c3'/><disks><disk id='ccb58d35-cf77-4ce9-8bc6-098a48676792'><format>COW</format><sparse>false</sparse></disk><clone>true</clone></disks></vm> 
2012-03-22 04:16:26,064 - MainThread - vms - DEBUG - Response body for CREATE request is: <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<vm href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2" id="6011efd5-88f6-40bc-b8ad-4a0919776cc2">
    <name>vm_san_nfs_conv2</name>
    <actions>
        <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/shutdown" rel="shutdown"/>
        <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/start" rel="start"/>
        <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/stop" rel="stop"/>
        <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/suspend" rel="suspend"/>
        <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/export" rel="export"/>
        <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/detach" rel="detach"/>
        <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/move" rel="move"/>
        <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/ticket" rel="ticket"/>
        <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/migrate" rel="migrate"/>
        <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/cancelmigration" rel="cancelmigration"/>
    </actions>
    <creation_status>
        <state>pending</state>
    </creation_status>
    <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/disks" rel="disks"/>
    <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/nics" rel="nics"/>
    <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/cdroms" rel="cdroms"/>
    <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/snapshots" rel="snapshots"/>
    <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/tags" rel="tags"/>
    <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/permissions" rel="permissions"/>
    <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/statistics" rel="statistics"/>
    <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/creation_status/8e26b0de-32be-4373-a4a9-e1ab740d87c0" rel="creation_status"/>
    <type>desktop</type>
    <status>
        <state>image_locked</state>
    </status>
    <memory>1073741824</memory>
    <cpu>
        <topology sockets="2" cores="2"/>
    </cpu>
    <os type="rhel_6x64">
        <boot dev="hd"/>
    </os>
    <high_availability>
        <enabled>false</enabled>
        <priority>0</priority>
    </high_availability>
    <display>
        <type>spice</type>
        <monitors>1</monitors>
    </display>
    <cluster href="/api/clusters/ef6730c6-73bf-11e1-8b74-001a4a23124c" id="ef6730c6-73bf-11e1-8b74-001a4a23124c"/>
    <template href="/api/templates/00000000-0000-0000-0000-000000000000" id="00000000-0000-0000-0000-000000000000"/>
    <creation_time>2012-03-22T04:16:24.921+02:00</creation_time>
    <origin>ovirt</origin>
    <stateless>false</stateless>
    <placement_policy>
        <affinity>migratable</affinity>
    </placement_policy>
    <memory_policy>
        <guaranteed>1073741824</guaranteed>
    </memory_policy>
    <usb>
        <enabled>true</enabled>
    </usb>
</vm>
 
2012-03-22 04:16:26,065 - MainThread - vms - ERROR - Response code is not valid, expected is:  [500, 400], actual is: 202 
2012-03-22 04:16:26,065 - MainThread - vms - DEBUG - GET request content is --  url:http://localhost:8080/api/vms 
2012-03-22 04:16:26,479 - MainThread - vms - DEBUG - Response body for GET request is: <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<vms>
    <vm href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2" id="6011efd5-88f6-40bc-b8ad-4a0919776cc2">
        <name>vm_san_nfs_conv2</name>
        <actions>
            <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/shutdown" rel="shutdown"/>
            <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/start" rel="start"/>
            <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/stop" rel="stop"/>
            <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/suspend" rel="suspend"/>
            <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/export" rel="export"/>
            <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/detach" rel="detach"/>
            <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/move" rel="move"/>
            <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/ticket" rel="ticket"/>
            <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/migrate" rel="migrate"/>
            <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/cancelmigration" rel="cancelmigration"/>
        </actions>
        <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/disks" rel="disks"/>
        <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/nics" rel="nics"/>
        <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/cdroms" rel="cdroms"/>
        <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/snapshots" rel="snapshots"/>
        <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/tags" rel="tags"/>
        <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/permissions" rel="permissions"/>
        <link href="/api/vms/6011efd5-88f6-40bc-b8ad-4a0919776cc2/statistics" rel="statistics"/>
        <type>desktop</type>
        <status>
            <state>image_locked</state>
        </status>
        <memory>1073741824</memory>
        <cpu>
            <topology sockets="2" cores="2"/>
        </cpu>
        <os type="rhel_6x64">
            <boot dev="hd"/>
        </os>
        <high_availability>
            <enabled>false</enabled>
            <priority>0</priority>
        </high_availability>
        <display>
            <type>spice</type>
            <monitors>1</monitors>
        </display>
        <cluster href="/api/clusters/ef6730c6-73bf-11e1-8b74-001a4a23124c" id="ef6730c6-73bf-11e1-8b74-001a4a23124c"/>
        <template href="/api/templates/00000000-0000-0000-0000-000000000000" id="00000000-0000-0000-0000-000000000000"/>
        <creation_time>2012-03-22T04:16:24.921+02:00</creation_time>
        <origin>ovirt</origin>
        <stateless>false</stateless>
        <placement_policy>
            <affinity>migratable</affinity>
        </placement_policy>
        <memory_policy>
            <guaranteed>1073741824</guaranteed>
        </memory_policy>
        <usb>
            <enabled>true</enabled>
        </usb>
    </vm>
</vms>
 
2012-03-22 04:16:26,479 - MainThread - vms - DEBUG - Response code is valid: [200, 201] 
2012-03-22 04:16:26,482 - MainThread - vms - ERROR - Collection size is wrong, expected is: 0, actual is: 1 
2012-03-22 04:16:26,487 - MainThread - utils.test_runner - ERROR - Test status for test 'Clone VM from template with image converting': Fail
2012-03-22 04:16:26,487 - MainThread - utils.test_runner - INFO - Test with iteration number 32 is finished.
Comment 1 Oded Ramraz 2012-03-22 04:46:44 EDT
Created attachment 571938 [details]
engine logs
Comment 2 Oded Ramraz 2012-03-22 04:53:27 EDT
This test used to fail with this error:
<fault>
  <reason>Operation Failed</reason>
     <detail>[Cannot add VM. The selected disk configuration is not supported.]</detail>
</fault>
Comment 3 Oded Ramraz 2012-03-22 04:58:45 EDT
One more thing , there was image covert from RAW -> COW during this operation . 
I think that the problematic configuration is COW / Preallocated .
Comment 4 mkublin 2012-03-26 10:55:13 EDT
http://gerrit.ovirt.org/#change,3108
Comment 5 Itamar Heim 2012-08-09 04:03:26 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/
Comment 6 Itamar Heim 2012-08-09 04:04:06 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/

Note You need to log in before you can comment on or make changes to this bug.